gnutls_certificate_set_key(3)

NAME
gnutls_certificate_set_key - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_certificate_set_key(gnutls_certificate_credentials_t res, const char ** names, int names_size, gnutls_pcert_st * pcert_list, int pcert_list_size, gnutls_privkey_t key);

ARGUMENTS

gnutls_certificate_credentials_t res
    is a gnutls_certificate_credentials_t structure.

const char ** names
    is an array of DNS name of the certificate (NULL if none)

int names_size
    holds the size of the names list

gnutls_pcert_st * pcert_list
    contains a certificate list (path) for the specified private key

int pcert_list_size
    holds the size of the certificate list

gnutls_privkey_t key
    is a gnutls_privkey_t key

DESCRIPTION
This function sets a certificate/private key pair in the gnutls_certificate_credentials_t structure. This function may be called more than once, in case multiple keys/certificates exist for the server. For clients that wants to send more than its own end entity certificate (e.g., also an intermediate CA cert) then put the certificate chain in pcert_list .

Note that the pcert_list and key will become part of the credentials structure and must not be deallocated. They will be automatically deallocated when the res structure is deinitialized.

If that function fails to load the res structure is at an undefined state, it must not be reused to load other keys or certificates.

RETURNS
GNUTLS_E_SUCCESS (0) on success, or a negative error code.

SINCE
3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/